'----------------------------------------------------------------------------------------
'    Name:  Fs_Dat_D.Inc
'    Type:  Tiger-BASIC(tm) Source Code (Basic Tiger File System)
' Release:  1.3
' Purpose:  BTFS - Definitions relevant for date and time conversions
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------


#ifndef __FS_DAT_D_INC
#define __FS_DAT_D_INC

#define	START_YEAR		1980
#define HOURS_PER_4_YEARS  	35064        '
#define HOURS_PER_LEAPYEAR 	8784         '
#define HOURS_PER_YEAR     	8760         '
#define SEC_PER_4_YEARS    	126230400    '
#define SEC_PER_365_DAYS   	31536000     '
#define SEC_PER_DAY        	86400        '
#define SEC_PER_HOUR       	3600         '

'' constants for RTC correcting
#define	TIME_VALIDITY_INTERVAL	50
#define	TIME_VALIDITY_LOOPS	3
#define	FORCE_READ_PAUSE	300
#define	MS_PER_SEC		1000

#endif  '' __FS_DAT_D_INC

