'----------------------------------------------------------------------------------------
'    Name:  Fs_Fat_SdCard_D.Inc
'    Type:  Tiger-BASIC(tm) Source Code (Basic Tiger File System)
' Release:  1.3
' Purpose:  BTFS - Definitions for FAT12/FAT16 routines that are specific for SD Card
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tiger(tm) in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (English)
'	email: support@wilke.de              (German)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (English)
'	www.wilke.de                         (German)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------


#ifndef __FS_SDCARD_D_INC
#define __FS_SDCARD_D_INC

#define SM_MAX_PAGE_SIZE		512
#define SM_FIND_BUFFER_SIZE		SM_MAX_PAGE_SIZE

'' Das ist  von fs_smc_d.inc genommen fuer FS_FAT_I.INC
'' #define HD_ERASED_BYTE_ROOT_STR	SM_ERASED_BYTE_ROOT_STR from fs_hal_d.inc
#define	SM_ERASED_BYTE_ROOT_STR		"00"%

'' Das ist  von fs_smc_d.inc genommen fuer FS_FAT_I.INC
'' #define HD_ERASED_BYTE_STR	SM_ERASED_BYTE_STR from fs_hal_d.inc
#define	SM_ERASED_BYTE_STR		"ff00"%

#define SECTOR_SIZE 			512

#endif  '' __FS_SDCARD_D_INC

